org.apache.commons.math3.random

## Class EmpiricalDistribution.DataAdapter

- java.lang.Object
- - org.apache.commons.math3.random.EmpiricalDistribution.DataAdapter

Direct Known Subclasses:
  EmpiricalDistribution.ArrayDataAdapter, EmpiricalDistribution.StreamDataAdapter

Enclosing class:
  EmpiricalDistribution

    private abstract class EmpiricalDistribution.DataAdapter
    extends Object

Provides methods for computing `sampleStats` and `beanStats` abstracting the source of data.

### Constructor Summary

Constructors
`private` `EmpiricalDistribution.DataAdapter()`

### Method Summary

Methods
`abstract void` `computeBinStats()` Compute bin stats.
`abstract void` `computeStats()` Compute sample statistics.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmpiricalDistribution.DataAdapter

    private EmpiricalDistribution.DataAdapter()

### Method Detail

#### computeBinStats

    public abstract void computeBinStats()
                                  throws IOException

Compute bin stats.

Throws:
  `IOException` - if an error occurs computing bin stats

#### computeStats

    public abstract void computeStats()
                               throws IOException

Compute sample statistics.

Throws:
  `IOException` - if an error occurs computing sample stats